# Package org.codehaus.plexus.classworlds.launcher

Interface Summary
ConfigurationHandler: Receive notification of the logical content of launcher configuration, independently from parsing.

Class Summary
ConfigurationParser: Event based launcher configuration parser, delegating effective configuration handling to ConfigurationHandler.
Configurator: `Launcher` configurator.
Launcher: Command-line invokable application launcher.

Exception Summary
ConfigurationException: Indicates an error during `Launcher` configuration.